# Class GLTFParser

- Defined in lib/gltf-loader/thirdparty/GLTFLoader.d.ts:50

##### Index

### Constructors

constructor

### Properties

associations
getDependencies
getDependency
json

## Constructors

### constructor

- new GLTFParser(): GLTFParser

  #### Returns GLTFParser

## Properties

### associations

associations: Map<Object3D | Material | Texture, GLTFReference>

- Defined in lib/gltf-loader/thirdparty/GLTFLoader.d.ts:54

### getDependencies

getDependencies: (type: string) => Promise<any[]>

- Defined in lib/gltf-loader/thirdparty/GLTFLoader.d.ts:57

### getDependency

getDependency: (type: string, index: number) => Promise<any>

- Defined in lib/gltf-loader/thirdparty/GLTFLoader.d.ts:56

### json

json: any

- Defined in lib/gltf-loader/thirdparty/GLTFLoader.d.ts:52